[metadata]
name = hupper
version = 1.12
author = Michael Merickel
author_email = pylons-discuss@googlegroups.com
license = MIT
license_files = LICENSE.txt
description = Integrated process monitor for developing and reloading daemons.
long_description = file:README.rst
long_description_content_type = text/x-rst
keywords = 
	server
	daemon
	autoreload
	reloader
	hup
	file
	watch
	process
url = https://github.com/Pylons/hupper
project_urls = 
	Documentation = https://docs.pylonsproject.org/projects/hupper/en/latest/
	Changelog = https://docs.pylonsproject.org/projects/hupper/en/latest/changes.html
	Issue Tracker = https://github.com/Pylons/hupper/issues
classifiers = 
	Development Status :: 5 - Production/Stable
	Intended Audience :: Developers
	License :: OSI Approved :: MIT License
	Natural Language :: English
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Programming Language :: Python :: 3.11
	Programming Language :: Python :: Implementation :: CPython
	Programming Language :: Python :: Implementation :: PyPy

[options]
package_dir = 
	= src
packages = find:
zip_safe = False
include_package_data = True
python_requires = >=3.7

[options.packages.find]
where = src

[options.entry_points]
console_scripts = 
	hupper = hupper.cli:main

[options.extras_require]
docs = 
	watchdog
	setuptools
	Sphinx
	pylons-sphinx-themes
testing = 
	watchdog
	pytest
	pytest-cov
	mock

[check-manifest]
ignore-default-rules = true
ignore = 
	.gitignore
	PKG-INFO
	*.egg-info
	*.egg-info/*

[egg_info]
tag_build = 
tag_date = 0

